package com.foreverwin.mesnac.common.model;

import java.util.List;

public class MobileWorkStationData {

    private String workStationBo;

    private String canChangeOperation;

    private String canChangeResource;

    private String defaultOperationBo;

    private String defaultResourceBo;

    private String mainInputPrompt;

    private String sequence;

    private String buttonId;

    private String buttonSize;

    private String label;

    private String imageIcon;

    private String activityBo;

    private String activity;

    private String classOrProgram;

    private List<ActivityOption> activityOptionList;

    public String getWorkStationBo() {
        return workStationBo;
    }

    public void setWorkStationBo(String workStationBo) {
        this.workStationBo = workStationBo;
    }

    public String getCanChangeOperation() {
        return canChangeOperation;
    }

    public void setCanChangeOperation(String canChangeOperation) {
        this.canChangeOperation = canChangeOperation;
    }

    public String getCanChangeResource() {
        return canChangeResource;
    }

    public void setCanChangeResource(String canChangeResource) {
        this.canChangeResource = canChangeResource;
    }

    public String getDefaultOperationBo() {
        return defaultOperationBo;
    }

    public void setDefaultOperationBo(String defaultOperationBo) {
        this.defaultOperationBo = defaultOperationBo;
    }

    public String getDefaultResourceBo() {
        return defaultResourceBo;
    }

    public void setDefaultResourceBo(String defaultResourceBo) {
        this.defaultResourceBo = defaultResourceBo;
    }

    public String getMainInputPrompt() {
        return mainInputPrompt;
    }

    public void setMainInputPrompt(String mainInputPrompt) {
        this.mainInputPrompt = mainInputPrompt;
    }

    public String getSequence() {
        return sequence;
    }

    public void setSequence(String sequence) {
        this.sequence = sequence;
    }

    public String getButtonId() {
        return buttonId;
    }

    public void setButtonId(String buttonId) {
        this.buttonId = buttonId;
    }

    public String getButtonSize() {
        return buttonSize;
    }

    public void setButtonSize(String buttonSize) {
        this.buttonSize = buttonSize;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getImageIcon() {
        return imageIcon;
    }

    public void setImageIcon(String imageIcon) {
        this.imageIcon = imageIcon;
    }

    public String getActivityBo() {
        return activityBo;
    }

    public void setActivityBo(String activityBo) {
        this.activityBo = activityBo;
    }

    public String getActivity() {
        return activity;
    }

    public void setActivity(String activity) {
        this.activity = activity;
    }

    public String getClassOrProgram() {
        return classOrProgram;
    }

    public void setClassOrProgram(String classOrProgram) {
        this.classOrProgram = classOrProgram;
    }

    public List<ActivityOption> getActivityOptionList() {
        return activityOptionList;
    }

    public void setActivityOptionList(List<ActivityOption> activityOptionList) {
        this.activityOptionList = activityOptionList;
    }
}